package com.xinelu.manage.mapper.patientdiseaseinfo;

import com.xinelu.manage.domain.patientdiseaseinfo.PatientDiseaseInfo;

import java.util.List;


/**
 * 患者疾病关系Mapper接口
 *
 * @author 纪寒
 * @date 2022-09-02
 */
public interface PatientDiseaseInfoMapper {
    /**
     * 查询患者疾病关系
     *
     * @param id 患者疾病关系主键
     * @return 患者疾病关系
     */
    PatientDiseaseInfo selectPatientDiseaseInfoById(Long id);

    /**
     * 查询患者疾病关系列表
     *
     * @param patientDiseaseInfo 患者疾病关系
     * @return 患者疾病关系集合
     */
    List<PatientDiseaseInfo> selectPatientDiseaseInfoList(PatientDiseaseInfo patientDiseaseInfo);

    /**
     * 查询患者疾病关系列表
     *
     * @param patientId 患者疾病关系
     * @return 患者疾病关系集合
     */
    List<PatientDiseaseInfo> selectPatientDiseasePatientId(Long patientId);

    /**
     * 新增患者疾病关系
     *
     * @param patientDiseaseInfo 患者疾病关系
     * @return 结果
     */
    int insertPatientDiseaseInfo(PatientDiseaseInfo patientDiseaseInfo);

    /**
     * 修改患者疾病关系
     *
     * @param patientDiseaseInfo 患者疾病关系
     * @return 结果
     */
    int updatePatientDiseaseInfo(PatientDiseaseInfo patientDiseaseInfo);

    /**
     * 删除患者疾病关系
     *
     * @param id 患者疾病关系主键
     * @return 结果
     */
    int deletePatientDiseaseInfoById(Long id);

    /**
     * 批量删除患者疾病关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deletePatientDiseaseInfoByIds(Long[] ids);

    /**
     * 批量新增护理人疾病信息
     *
     * @param patientDiseaseInfoList 信息集合
     * @return 新增数量
     */
    int insertBatchPatientDiseaseInfo(List<PatientDiseaseInfo> patientDiseaseInfoList);

    /**
     * 根据订单编号查询会员健康状况
     *
     * @param orderNo 订单编号
     * @return PatientDiseaseInfo
     */
    List<PatientDiseaseInfo> selectPatientDiseaseInfoByOrderNo(String orderNo);
}
